function [LB,UB]=BananaBounds(model,IntX,a1,a2,a3) 

% -------------------------------------------------------------------------
% SPIKE_O toolbox - BananaBounds.m
%
% This function evaluates the banana function
% 
% Syntax:
%   [LB,UB] = BananaBounds(model,IntX) 
%
% Inputs:
%   model   :   Structure describing the parameters of the banana function
%   IntX    :   Polyhedral set of feasible parameters
%
% Outputs:
%   LB      :   lower bound banana function value
%   UB      :   upper bound banana function value
%
% -------------------------------------------------------------------------
% Last modification: Kris Villez, 2013-05-31
% -------------------------------------------------------------------------

[LB] = BananaLow(model,IntX);
[UB] = BananaUpp(model,IntX);