function z = BananaFun(u,model) 

% -------------------------------------------------------------------------
% SPIKE_O toolbox - BananaFun.m
%
% This function evaluates the banana function
% 
% Syntax:
%   z   =   BananaFun(u,model) 
%
% Inputs:
%   u       :   m x 2 matrix with each column corresponding to one argument
%   model   :   structure with parameter values a, b, c as fields
%
% Outputs:
%   z       :   banana function value for the provided arguments
%
% -------------------------------------------------------------------------
% Last modification: Kris Villez, 2013-05-31
% -------------------------------------------------------------------------

a = model. a;
b = model. b;
c = model. c;

x = u(:,1) ;
y = u(:,2) ;

z = (a-x).^2  +c*(y-(b-x).^2).^2 ;
