function [UB,SolX] = BananaUpp(model,IntX)

% -------------------------------------------------------------------------
% SPIKE_O toolbox - BananaUpp.m
%
% This function evaluates a lower bound to banana function
% 
% Syntax:
%   [UB,SolX] = BananaUpp(model,IntX)
%
% Inputs:
%   model   :   Structure describing the parameters of the banana function
%   IntX    :   Polyhedral set of feasible parameters
%
% Outputs:
%   UB      :   upper bound banana function value
%   SolX    :   applied arguments for the upper bound computation
%
% -------------------------------------------------------------------------
% Last modification: Kris Villez, 2013-05-31
% -------------------------------------------------------------------------

a       =   model.a     ; 
b       =   model.b     ; 
c       =   model.c     ;

SolX    =   mean(IntX)  ;

UB      =   BananaFun(SolX,model)  ;
