function VisualLeaf(Tree,iTree,iLive,index,opt,nopt,graphtype)

% -------------------------------------------------------------------------
% SPIKE_O toolbox - VisualLeaf.m
%
% This function is an vizualization aid for the branch-and-bound algorithm
%
% Syntax:
%   VisualLeaf(Tree,iTree,iLive,index,opt,nopt,graphtype)
%
% -------------------------------------------------------------------------
% Last modification: Kris Villez, 2013-05-23
% -------------------------------------------------------------------------

% -------------------------------------------------------------------------
% Copyright 2012-2013 Kris Villez
%
% This file is part of the SPIKE_O Toolbox for Matlab/Octave. 
% 
% The SPIKE_O Toolbox is free software: you can redistribute it and/or
% modify it under the terms of the GNU General Public License as published
% by the Free Software Foundation, either version 3 of the License, or (at
% your option) any later version.
% 
% The SPIKE_O Toolbox is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
% Public License for more details.
% 
% You should have received a copy of the GNU General Public License along
% with the SPIKE_O Toolbox. If not, see <http://www.gnu.org/licenses/>.  
% -------------------------------------------------------------------------


Indices
    
colour      =   true    ;   % use colour (1/true) or not (0/false)
% colour      =   false    ;   % use colour (1/true) or not (0/false)
switch Tree(iTree,iLive) 
    case -3
        str = 'k'   ;
    case -2
        str = 'c'   ;
    case -1
        str = 'm'   ;
    otherwise
        str = 'y'   ;
end

if Tree(iTree,iLive)  ~=  1,  Alpha   =   1   ;
else                            Alpha   =  0   ;
end
if ~colour && Tree(iTree,iLive) ~= -3 
    Alpha = 0;
end

if nopt==1
    figure(99)
    xx  =   Tree(iTree,index+(opt(1)-1)*2+[0 1 1 0])'  ;
    switch graphtype
        case 1
            yy  =   [0 0 1 1]'                      ;
        case 2
            LB  =   Tree(iTree,iLB) ;
            UB  =   Tree(iTree,iUB) ;
            yy  =   [LB LB UB UB]'                              ;
    end
    patch(xx,yy,str,'EdgeColor','k','FaceAlpha',0)
    drawnow
elseif nopt>=2
    figure(99)
    xx  =   Tree(iTree,index+(opt(1)-1)*2+[0 1 1 0])'  ;
    yy  =   Tree(iTree,index+(opt(2)-1)*2+[0 0 1 1])' ;
    patch( xx,yy,str,'EdgeColor','k','FaceAlpha',Alpha)
    drawnow
end
