function VisualTree(Tree,Alive,str,index,opt,nopt,graphtype)

% -------------------------------------------------------------------------
% SPIKE_O toolbox - VisualTree.m
%
% This function is an vizualization aid for the branch-and-bound algorithm
%
% Syntax:
%   VisualTree(Tree,Alive,str,index,opt,nopt,graphtype)
%
% -------------------------------------------------------------------------
% Last modification: Kris Villez, 2013-05-21
% -------------------------------------------------------------------------

% -------------------------------------------------------------------------
% Copyright 2012-2013 Kris Villez
%
% This file is part of the SPIKE_O Toolbox for Matlab/Octave. 
% 
% The SPIKE_O Toolbox is free software: you can redistribute it and/or
% modify it under the terms of the GNU General Public License as published
% by the Free Software Foundation, either version 3 of the License, or (at
% your option) any later version.
% 
% The SPIKE_O Toolbox is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
% Public License for more details.
% 
% You should have received a copy of the GNU General Public License along
% with the SPIKE_O Toolbox. If not, see <http://www.gnu.org/licenses/>.  
% -------------------------------------------------------------------------


Indices
colour      =   true    ;   % use colour (1/true) or not (0/false)
% colour      =   false    ;   % use colour (1/true) or not (0/false)

Alpha = .5 ;
if ~colour
    Alpha = 0;
    str = 'k' ;
end


if nopt==1
    figure(99)
    xx  =   Tree(Alive,index+(opt(1)-1)*2+[0 1 1 0])'   ;
    switch graphtype
        case 1
            yy  =   (ones(length(Alive),1)*[0 0 1 1])'          ;
        case 2
            yy  = [  Tree(Alive,iLB)*ones(1,2)  Tree(Alive,iUB)*ones(1,2)  ]'                  ;
    end
    patch( xx,yy,str,'EdgeColor','k','FaceAlpha',Alpha)
elseif nopt==2
    figure(99)
    xx  =   Tree(Alive,index+(opt(1)-1)*2+[0 1 1 0])' ;
    yy  =   Tree(Alive,index+(opt(2)-1)*2+[0 0 1 1])' ;
    if colour
        patch( xx,yy,str,'EdgeColor','k','FaceAlpha',Alpha)
    else
        patch( xx,yy,str,'EdgeColor','k','FaceAlpha',Alpha)
    end
end
drawnow
